Page MenuHomePhabricator

[AIX]Enable lowering of MCSymbol MachineOperand
ClosedPublic

Authored by Xiangling_L on Jun 24 2019, 1:52 PM.

Details

Summary

Enable lowering of llvm::MachineOperand::MO_MCSymbol so we can emit assembly of a call instruction.

Diff Detail

Repository
rL LLVM

Event Timeline

Xiangling_L created this revision.Jun 24 2019, 1:52 PM
jasonliu added inline comments.Jul 3 2019, 8:23 AM
llvm/test/CodeGen/PowerPC/test_call_aix.ll
14 ↗(On Diff #206297)

The error is 64 bit XCOFF object files are not supported. But we are just generating assembly right now. Is there anything that's really blocking us to generate 64 bit assembly?

Xiangling_L marked an inline comment as done.Jul 4 2019, 12:20 PM

leave out 64bit error message

sfertile accepted this revision.Jul 9 2019, 12:36 PM

LGTM.

This revision is now accepted and ready to land.Jul 9 2019, 12:36 PM

We will need to add handling of Text SectionKind in TargetLoweringObjectFileXCOFF::getExplicitSectionGlobal in this because it blocks assembly generation for the test.

Add "return TextSection" in TargetLoweringObjectFileXCOFF::SelectSectionForGlobal

This revision was automatically updated to reflect the committed changes.